gant(1)

NAME
gant - console based ANT+ information retrieval client for Garmin GPS products

SYNOPSIS
gant [ OPTIONS ]

DESCRIPTION
gant is a small command-line utility to retrieve information (sports tracks, etc.) from Garmin GPS products over the wireless ANT/ANT+ protocols. Currently supported devices are the Forerunner 405.

OPTIONS

-a authfile
    Provide authfile (default ~/.gant).

-f name
    Assign a name to the ANT device. (default garmin)

-d devno
    ttyUSB devno Device no. (default 0)

-i id
    ID for pairing (default random)

-m mydev
    (default 0)

-p  Passive

-v  Verbose

-D level
    Debug

-r  Reset the device

-n  Do not write auth file

-z  Do not pair

  Help options

-h  Show command line options.

EXAMPLE 1
Put 405 in pairing mode gant -f paul -a auth405

This gives your garmin a name of "paul" and an auth file of "auth405" The 405 will ask you if you wish to pair with "paul". Obviously you might want to use a different name :)

Download with: gant -nza auth405 > output

or -Dnza if you want lots of debug output

It doesn't seem to be very reliable at starting the download and I haven't investigated why yet. So, if it doesn't start downloading press ctrl-c and try again. I find it helps to take the watch out of power save mode.

If you've already downloaded the data, then you'll need to set "force send" to yes on the watch.

Compare output with .TCX file produce by windows ANT Agent.

EXAMPLE 2
    HOWTO USE gant

1. plugin your ANT+ stick 2. the system will load the kernel module "cp210x" 3. to find out what ttyUSB device is used run

    # dmesg|grep "cp210x converter"
    [...] cp210x 3-1:1.0: cp210x converter detected
    [...] usb 3-1: cp210x converter now attached to ttyUSB3

In this case you have to use the optione "-d 3". If it is ttyUSB0 then you don't need the -d option because 0 is the default 4. put the watch into paring mode (menu -> configuration -> ANT+ ->
   computer -> pairing on) 5. pair the computer with the watch ("mywatch" as name for the watch and
   the file "auth405" as an authorization file which will be created)

    # gant -d 3 -f mywatch -a auth405

6. download saved tracks from the watch

    # gant -d 3 -f mywatch -nza auth405

You get the possible options with

    # gant -h

To convert the downloaded TCX file (e.g. 2011-07-22-123456.tcx) you can use gpsbabel:

    # gpsbabel -t -i gtrnctr -f 2011-07-22-123456.tcx -o gpx -F 2011-07-22-123456.gpx

-- 2011-07-22 Noèl Köthe <noel@debian.org>

DEVICES
Wireless ANT communications happens over a USB2ANT dongle. Under Linux the dongle is driven by cp210x kernel module, and presented to user-space as a USB serial port, /dev/ttyUSBxxx where xxx is an integer. The dongle is typically carrying the USB vendor id/product id pair of 0fcf/1004 or 0fcf/1008. Recent Linux systems employ udev to handle device nodes and permissions, thus appropriate

FILES

/lib/modules/`uname -r`/kernel/drivers/usb/serial/cp210x.ko
    Kernel driver module for USB2ANT dongle.

/dev/ttyUSBxxx
    Serial device created for dongle.

$HOME/.gant
    Default authentication file.

AUTHOR
gant was written by paul@ant.sbrk.co.uk, Wali and Klaus@Ethgen.de. This man page is Copyright © 2013 Kristóf Ralovich.

SEE ALSO
https://github.com/ralovich/antpm (https://github.com/ralovich/antpm)